mdui offers the `mdui-prose` CSS class for enhancing the styling of articles and the `mdui-table` CSS class for improving table styles.

## Article Styling {#prose}

To enhance the overall visual presentation of an article, including `<table>` elements, apply the `mdui-prose` class to the parent element of the article:

```html
<div class="mdui-prose">
  <h1>Heading</h1>
  <p>Body</p>
  <table>

  </table>
</div>
```

## Table Styling {#table}

To improve the visual presentation of a table, apply the `mdui-table` class to the `<table>` element:

```html
<table class="mdui-table">

</table>
```

For horizontal scrolling within an element, apply the `mdui-table` class to the parent element of the `<table>`:

```html
<div class="mdui-table">
  <table>

  </table>
</div>
```
